> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lyzr.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete RAG Configuration

> Deletes an existing RAG configuration by its ID.

### Description

Deletes an existing Rag configuration by its ID.

### Endpoint

**DELETE** `/v3/rag/{config_id}/`

### Authentication

API Key (`x-api-key`) must be included in the request headers.

### Path Parameters

| Parameter   | Type   | Description                                    |
| ----------- | ------ | ---------------------------------------------- |
| `config_id` | string | Unique identifier of the Rag config to delete. |

### Response

| Code | Description         |
| ---- | ------------------- |
| 200  | Successful Response |
| 422  | Validation Error    |

### Response Body Example (200)

```json theme={null}
{
  "success": true
}

```

```bash theme={null}

curl -X DELETE "https://rag-dev.test.studio.lyzr.ai/v3/rag/{config_id}/" ^
-H "accept: application/json" ^
-H "x-api-key: sk-default-EXAMPLEKEY123"


```


## OpenAPI

````yaml delete /v3/rag/{config_id}/
openapi: 3.0.3
info:
  title: Delete Rag Config
  version: 1.0.0
servers:
  - url: https://rag-prod.studio.lyzr.ai
security: []
paths:
  /v3/rag/{config_id}/:
    delete:
      summary: Delete Rag Config
      description: Deletes an existing RAG configuration by its ID.
      operationId: deleteRagConfig
      parameters:
        - name: config_id
          in: path
          description: The ID of the RAG configuration to delete.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: array
                    items:
                      type: object
                      properties:
                        loc:
                          type: array
                          items:
                            type: string
                        msg:
                          type: string
                        type:
                          type: string
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````